//统一管理用户相关的接口
import request from '@/utils/request'
import type { LoginForm, loginResponseData, UserInfoResponseData } from './type'

//统一管理接口
const enum API {
  LOGIN_URL = '/user/login',
  USER_INFO_URL = '/user/info',
}
//暴露请求函数
//登录接口方法
export const reqLogin = (data: LoginForm) =>
  request.post<any, loginResponseData>(API.LOGIN_URL, data)

//获取用户信息接口方法
export const reqUserInfo = () =>
  request.get<any, UserInfoResponseData>(API.USER_INFO_URL)
