import { createApp } from 'vue'
import App from '@/App.vue'
//导入element-plus插件和样式
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
//导入element-plus的中文语言包
import zhCn from 'element-plus/es/locale/lang/zh-cn'

//svg插件需要配置代码
import 'virtual:svg-icons-register'

//引入自定义插件对象，注册整个项目全局组件
import gloabalComponents from '@/components'


//引入模板的全局样式 
import '@/styles/index.scss'

// 引入路由器
import router from '@/router'

//获取APP实例
const app = createApp(App)
//使用element-plus插件
app.use(ElementPlus, {
  locale: zhCn, //设置语言为中文国际化
})

//使用自定义插件
app.use(gloabalComponents)

//注册路由
app.use(router)

//挂载APP实例到#app元素上
app.mount('#app')
